path: /build/build/socat-net-misc-1.8.0.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="readline ssl tcpd" emerge net-misc/socat -pv -t && \
    USE="readline ssl tcpd" emerge -j ${JOBS} --nodeps net-misc/socat
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/socat && luet-portage --dir /pkgdir/socat
    net-misc/socat && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:353cbfdfa434befa21feb82824a598979c7c18b6420c1ddd320cac1954fa9597
  package:
    name: socat
    version: 1.8.0.0
    category: net-misc
    use_flags:
    - readline
    - ssl
    - tcpd
    requires:
    - name: tcp-wrappers
      version: '>=0'
      category: sys-apps
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Multipurpose relay (SOcket CAT)
    uri:
    - http://www.dest-unreach.org/socat/ https://repo.or.cz/socat.git
    license: GPL-2
    buildtimestamp: 2023-11-30 14:42:34.457969802 +0000 UTC m=+132.960001106
    labels:
      DEPEND: ssl? ( dev-libs/openssl:0= ) readline? ( sys-libs/readline:= ) tcpd?
        ( sys-apps/tcp-wrappers )
      IUSE: bindist ipv6 readline ssl tcpd
      RDEPEND: ssl? ( dev-libs/openssl:0= ) readline? ( sys-libs/readline:= ) tcpd?
        ( sys-apps/tcp-wrappers )
      emerge.packages: net-misc/socat
      kit: net-kit
      original.package.name: net-misc/socat
      original.package.slot: "0"
      original.package.version: 1.8.0.0
    treedir: /build/packages
  package_dir: /pkgdir/socat
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 09dbd312ff85fd7fba8278c29ef906bff92eca91c2011eca13a1762d9f0b83b2
compressiontype: zstd
files:
- usr/bin/filan
- usr/bin/procan
- usr/bin/socat
- usr/bin/socat-broker.sh
- usr/bin/socat-chain.sh
- usr/bin/socat-mux.sh
- usr/bin/socat1
- usr/share/doc/socat-1.8.0.0/BUGREPORTS.bz2
- usr/share/doc/socat-1.8.0.0/CHANGES.bz2
- usr/share/doc/socat-1.8.0.0/DEVELOPMENT.bz2
- usr/share/doc/socat-1.8.0.0/EXAMPLES.bz2
- usr/share/doc/socat-1.8.0.0/FAQ.bz2
- usr/share/doc/socat-1.8.0.0/FILES.bz2
- usr/share/doc/socat-1.8.0.0/PORTING.bz2
- usr/share/doc/socat-1.8.0.0/README.bz2
- usr/share/doc/socat-1.8.0.0/SECURITY.bz2
- usr/share/doc/socat-1.8.0.0/html/dest-unreach.css
- usr/share/doc/socat-1.8.0.0/html/socat-genericsocket.html
- usr/share/doc/socat-1.8.0.0/html/socat-multicast.html
- usr/share/doc/socat-1.8.0.0/html/socat-openssltunnel.html
- usr/share/doc/socat-1.8.0.0/html/socat-tun.html
- usr/share/doc/socat-1.8.0.0/html/socat.html
- usr/share/man/man1/socat.1.bz2
- usr/share/man/man1/socat1.1.bz2
- var/db/pkg/net-misc/socat-1.8.0.0/BUILD_TIME
- var/db/pkg/net-misc/socat-1.8.0.0/CATEGORY
- var/db/pkg/net-misc/socat-1.8.0.0/CBUILD
- var/db/pkg/net-misc/socat-1.8.0.0/CFLAGS
- var/db/pkg/net-misc/socat-1.8.0.0/CHOST
- var/db/pkg/net-misc/socat-1.8.0.0/CONTENTS
- var/db/pkg/net-misc/socat-1.8.0.0/COUNTER
- var/db/pkg/net-misc/socat-1.8.0.0/CXXFLAGS
- var/db/pkg/net-misc/socat-1.8.0.0/DEFINED_PHASES
- var/db/pkg/net-misc/socat-1.8.0.0/DEPEND
- var/db/pkg/net-misc/socat-1.8.0.0/DESCRIPTION
- var/db/pkg/net-misc/socat-1.8.0.0/EAPI
- var/db/pkg/net-misc/socat-1.8.0.0/FEATURES
- var/db/pkg/net-misc/socat-1.8.0.0/HOMEPAGE
- var/db/pkg/net-misc/socat-1.8.0.0/INHERITED
- var/db/pkg/net-misc/socat-1.8.0.0/IUSE
- var/db/pkg/net-misc/socat-1.8.0.0/IUSE_EFFECTIVE
- var/db/pkg/net-misc/socat-1.8.0.0/KEYWORDS
- var/db/pkg/net-misc/socat-1.8.0.0/LDFLAGS
- var/db/pkg/net-misc/socat-1.8.0.0/LICENSE
- var/db/pkg/net-misc/socat-1.8.0.0/NEEDED
- var/db/pkg/net-misc/socat-1.8.0.0/PF
- var/db/pkg/net-misc/socat-1.8.0.0/RDEPEND
- var/db/pkg/net-misc/socat-1.8.0.0/REQUIRES
- var/db/pkg/net-misc/socat-1.8.0.0/RESTRICT
- var/db/pkg/net-misc/socat-1.8.0.0/SIZE
- var/db/pkg/net-misc/socat-1.8.0.0/SLOT
- var/db/pkg/net-misc/socat-1.8.0.0/USE
- var/db/pkg/net-misc/socat-1.8.0.0/environment.bz2
- var/db/pkg/net-misc/socat-1.8.0.0/repository
- var/db/pkg/net-misc/socat-1.8.0.0/socat-1.8.0.0.ebuild
package_cacheimage: ""
runtime:
  name: socat
  version: 1.8.0.0
  category: net-misc
  use_flags:
  - readline
  - ssl
  - tcpd
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: tcp-wrappers
    version: '>=0'
    category: sys-apps
  - name: readline
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Multipurpose relay (SOcket CAT)
  uri:
  - http://www.dest-unreach.org/socat/ https://repo.or.cz/socat.git
  license: GPL-2
  labels:
    DEPEND: ssl? ( dev-libs/openssl:0= ) readline? ( sys-libs/readline:= ) tcpd? (
      sys-apps/tcp-wrappers )
    IUSE: bindist ipv6 readline ssl tcpd
    RDEPEND: ssl? ( dev-libs/openssl:0= ) readline? ( sys-libs/readline:= ) tcpd?
      ( sys-apps/tcp-wrappers )
    emerge.packages: net-misc/socat
    kit: net-kit
    original.package.name: net-misc/socat
    original.package.slot: "0"
    original.package.version: 1.8.0.0
